package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttDamBase;
import org.apache.ibatis.annotations.Mapper;

/** 坝信息 Mapper */
@Mapper
public interface AttDamBaseMapper {
    /**
     * 查询坝信息列表
     * 
     * @param attDamBase 查询条件
     * @return 坝信息列表
     */
    public List<AttDamBase> selectAttDamBaseList(AttDamBase attDamBase);

    /**
     * 通过坝编码查询坝信息
     * 
     * @param damCode 坝编码
     * @return 坝信息
     */
    public AttDamBase selectAttDamBaseById(String damCode);

    /**
     * 通过坝编码删除坝信息
     * 
     * @param damCode 坝编码
     * @return 影响行数
     */
    public int deleteAttDamBaseById(String damCode);

    /**
     * 批量删除坝信息
     * 
     * @param damCodes 坝编码数组
     * @return 影响行数
     */
    public int deleteAttDamBaseByIds(String[] damCodes);

    /**
     * 修改坝信息
     * 
     * @param attDamBase 坝信息
     * @return 影响行数
     */
    public int updateAttDamBase(AttDamBase attDamBase);

    /**
     * 新增坝信息
     * 
     * @param attDamBase 坝信息
     * @return 影响行数
     */
    public int insertAttDamBase(AttDamBase attDamBase);
}
